stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
stdex::hex_enc Class Reference

Hexadecimal encoding session. More...

`#include <stdex/hex.hpp>`

## Public Member Functions
| hex_enc () noexcept
| Constructs blank encoding session.
template<class T , class TR , class AX >
void | encode (std::basic_string< T, TR, AX > &out, const void *data, size_t size)
| Encodes one block of information, and appends it to the output.
size_t | enc_size (size_t size) const noexcept
| Returns maximum encoded size.

## Detailed Description

Hexadecimal encoding session.

## Member Function Documentation

## ◆ enc_size()

size_t stdex::hex_enc::enc_size | ( | size_t | size | ) | const
| inline noexcept

Returns maximum encoded size.

Parameters

  [in] | size | Number of bytes to encode

Returns
  Maximum number of bytes for the encoded data of `size` length

## ◆ encode()

template<class T , class TR , class AX >

void stdex::hex_enc::encode | ( | std::basic_string< T, TR, AX > & | out,
|  | const void * | data,
|  | size_t | size )
| inline

Encodes one block of information, and appends it to the output.

Parameters

  [in,out] | out | Output
  [in] | data | Data to encode
  [in] | size | Length of `data` in bytes

The documentation for this class was generated from the following file:

- include/stdex/hex.hpp